Subject: Re: Manual should clearly define "group name"

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 10 Sep 2011 20:37:16 +0200

Dave Abrahams <[email-masked]> writes:

>>> Many times when customizing things for Gnus I have a pattern to match
>>> groups, but it's never entirely clear to me against what the pattern
>>> will be matched.  Will it be <method>+<server>:<group>, or simply
>>> <group>?  Is the answer different depending on whether <method> is a
>>> primary or secondary select method?
>>
>> The latter, mainly, 
>
> the latter, meaning "secondary select method," or meaning "simply
> <group>?"

The latter, as in "depending on whether method is...".

>> I say "mainly" because if you're doing something in the backends, they
>> don't deal with Gnus group names, but with their own group names, which
>> are un-prefixed.
>
> Umm... so that sounds like you meant "the former" above, and not "the
> latter?"

Nope.

> This is clear as mud, I'm afraid.  Here's an example from my gnus
> customizations:
>
>  '(gnus-spam-process-destinations
>    (quote
>     (("^\\(\\(nnimap\\+\\)?LocalIMAP:\\)?[^+]*$" "[Gmail].Spam"))))
>  '(gnus-spam-process-newsgroups
>    (quote
>     (("^\\(\\(nntp\\+\\)?LocalNNTP:\\)?gmane\\."
>       ((spam spam-use-gmane))))))
>
> I have a strong suspicion that those regexps are at least 400% more
> complicated than they actually need to be, but I couldn't tell what Gnus
> was going to be matching.

The regexps look fine to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/